* {
    box-sizing: border-box;
}
body {
    background-color: #435165;
    margin:0;
    padding:0;
}
main {
    height: 100vh;
    height: -webkit-fill-available;
    max-height: 100vh;
    overflow-x: auto;
    overflow-y: hidden;
}

.oswald{
    font-family: Oswald, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.rc{
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.roboto{
    font-family: roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.login {
    width: 400px;
    background-color: #ffffff;
    box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
    margin: 100px auto;
}
.login h1 {
    text-align: center;
    color: #5b6574;
    font-size: 24px;
    padding: 20px 0 20px 0;
    border-bottom: 1px solid #dee0e4;
}
.login form {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 20px;
}
.login form label {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background-color: #3274d6;
    color: #ffffff;
}
.login form input[type="password"], .login form input[type="text"] {
    width: 310px;
    height: 50px;
    border: 1px solid #dee0e4;
    margin-bottom: 20px;
    padding: 0 15px;
}
.login form input[type="submit"] {
    width: 100%;
    padding: 15px;
    margin-top: 20px;
    background-color: #3274d6;
    border: 0;
    cursor: pointer;
    font-weight: bold;
    color: #ffffff;
    transition: background-color 0.2s;
}
.login form input[type="submit"]:hover {
  background-color: #2868c7;
    transition: background-color 0.2s;
}

.top_bar
{
    width: 100%;
    height: 66px;
    border-bottom: 2px solid #727375;
    margin-bottom: 0;
    padding: 0;
    background-color: #dee0e4;
}
.top_bar img
{
    width: 100%;
    height: 100%;
    margin-bottom: 0;
    padding: 0;
}
.control_bar
{
    position: relative;
    float:right;
    display:block;
    width:500px;
    margin:5px 20px 5px 5px;
}
.control_bar a
{
    text-decoration:none;
}
.displayname
{
    margin-right: 10px;
    width:450px;
    text-align: right;
    line-height:54px;
    font-size:22px;
    color:#435165;
    
}
.avatar
{
    width: 54px;
    height: 54px;
    border-radius: 54px;
    overflow: hidden;
    background-color: #000000;
}

.discord-login
{
    display:inline-flex;
    margin: 20px 20px 20px 20px;
    
    transition-duration: 0.4s;
    width:350px;
    text-decoration:none;    
    background-color: #5865F2;
    border-radius: 4px;
}
.discord-login:hover
{
    /*background-color:#dee0e4;*/
    filter: brightness(120%);
    
}
.discord-right
{
    /*border: 1px solid #3646f2;
    border-radius: 0 4px 4px 0;
    background-color: #5865F2;
    */
    margin:0 20px 0 0;
    padding:0;
    height:54px;
    width:100%;
    text-align: center;
}
.discord-right span
{
    line-height:54px;
    font-size:22px;
    color:white;
    text-overflow: clip;
}
.discord-left {
    /*border: 1px solid #3646f2;*/
    margin:0 0 0 0;
    padding:10px;
    height:54px;
    border-right: 1px solid #b9bcc2;
}
.discord-left img{
    height:100%;
}

.new_ban_container
{
    min-width:256px;
    max-width:500px;
    margin: 30px 5% 30px 5%;
    background-color: #dee0e4;

}
.ban_grid
{
    width:100%;
    background-color: #dee0e4;
}
.ban_grid tr:nth-child(even)
{
    width:100%;
    background-color: #ced0d4
}
.ban_grid td
{
    border: 1px solid #b9bcc2;
}
.ban_grid_header
{
    text-align:left;
    font-size: 20px;
    font-weight:bold;
    width:80%;
    margin:0 auto 20px auto;
}
.ban_grid_entry
{
    font-size: 14px;
    height:2.5em;
    
    font-weight:normal;
    text-align: left;
}
.ban_row
{
}
.datepicker
{
    font-size: 14px;
}

/* Forward */
.hvr-forward {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-property: transform;
    transition-property: transform;
  }
  .hvr-forward:hover, .hvr-forward:focus, .hvr-forward:active {
    -webkit-transform: translateX(8px);
    transform: translateX(8px);
  }

  /* Bootstrap Dropdown */
  .dropdown-toggle { outline: 0; }

